# DaprProtos.SubtleVerifyRequest.Builder (dapr-sdk-parent 1.14.1 API)
declaration: package: io.dapr.v1, class: DaprProtos, class: SubtleVerifyRequest, class: Builder

Package io.dapr.v1

# Class DaprProtos.SubtleVerifyRequest.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>
io.dapr.v1.DaprProtos.SubtleVerifyRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.SubtleVerifyRequestOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.SubtleVerifyRequest

public static final class DaprProtos.SubtleVerifyRequest.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder> implements DaprProtos.SubtleVerifyRequestOrBuilder

     SubtleVerifyRequest is the request for SubtleVerifyAlpha1.

Protobuf type `dapr.proto.runtime.v1.SubtleVerifyRequest`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.SubtleVerifyRequest.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleVerifyRequest`
`build()`
`DaprProtos.SubtleVerifyRequest`
`buildPartial()`
`DaprProtos.SubtleVerifyRequest.Builder`
`clear()`
`DaprProtos.SubtleVerifyRequest.Builder`
`clearAlgorithm()`
Algorithm to use, as in the JWA standard.
`DaprProtos.SubtleVerifyRequest.Builder`
`clearComponentName()`
Name of the component
`DaprProtos.SubtleVerifyRequest.Builder`
`clearDigest()`
Digest of the message.
`DaprProtos.SubtleVerifyRequest.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.SubtleVerifyRequest.Builder`
`clearKeyName()`
Name (or name/version) of the key.
`DaprProtos.SubtleVerifyRequest.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.SubtleVerifyRequest.Builder`
`clearSignature()`
Signature to verify.
`DaprProtos.SubtleVerifyRequest.Builder`
`clone()`
`String`
`getAlgorithm()`
Algorithm to use, as in the JWA standard.
`com.google.protobuf.ByteString`
`getAlgorithmBytes()`
Algorithm to use, as in the JWA standard.
`String`
`getComponentName()`
Name of the component
`com.google.protobuf.ByteString`
`getComponentNameBytes()`
Name of the component
`DaprProtos.SubtleVerifyRequest`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`com.google.protobuf.ByteString`
`getDigest()`
Digest of the message.
`String`
`getKeyName()`
Name (or name/version) of the key.
`com.google.protobuf.ByteString`
`getKeyNameBytes()`
Name (or name/version) of the key.
`com.google.protobuf.ByteString`
`getSignature()`
Signature to verify.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`DaprProtos.SubtleVerifyRequest.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.SubtleVerifyRequest.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.SubtleVerifyRequest.Builder`
`mergeFrom(DaprProtos.SubtleVerifyRequest other)`
`final DaprProtos.SubtleVerifyRequest.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.SubtleVerifyRequest.Builder`
`setAlgorithm(String value)`
Algorithm to use, as in the JWA standard.
`DaprProtos.SubtleVerifyRequest.Builder`
`setAlgorithmBytes(com.google.protobuf.ByteString value)`
Algorithm to use, as in the JWA standard.
`DaprProtos.SubtleVerifyRequest.Builder`
`setComponentName(String value)`
Name of the component
`DaprProtos.SubtleVerifyRequest.Builder`
`setComponentNameBytes(com.google.protobuf.ByteString value)`
Name of the component
`DaprProtos.SubtleVerifyRequest.Builder`
`setDigest(com.google.protobuf.ByteString value)`
Digest of the message.
`DaprProtos.SubtleVerifyRequest.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.SubtleVerifyRequest.Builder`
`setKeyName(String value)`
Name (or name/version) of the key.
`DaprProtos.SubtleVerifyRequest.Builder`
`setKeyNameBytes(com.google.protobuf.ByteString value)`
Name (or name/version) of the key.
`DaprProtos.SubtleVerifyRequest.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.SubtleVerifyRequest.Builder`
`setSignature(com.google.protobuf.ByteString value)`
Signature to verify.
`final DaprProtos.SubtleVerifyRequest.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>`

### clear

public DaprProtos.SubtleVerifyRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>`

### getDefaultInstanceForType

public DaprProtos.SubtleVerifyRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.SubtleVerifyRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.SubtleVerifyRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.SubtleVerifyRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>`

### setField

public DaprProtos.SubtleVerifyRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>`

### clearField

public DaprProtos.SubtleVerifyRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>`

### clearOneof

public DaprProtos.SubtleVerifyRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>`

### setRepeatedField

public DaprProtos.SubtleVerifyRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>`

### addRepeatedField

public DaprProtos.SubtleVerifyRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>`

### mergeFrom

public DaprProtos.SubtleVerifyRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleVerifyRequest.Builder>`

### mergeFrom

public DaprProtos.SubtleVerifyRequest.Builder mergeFrom(DaprProtos.SubtleVerifyRequest other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>`

### mergeFrom

public DaprProtos.SubtleVerifyRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.SubtleVerifyRequest.Builder>`
Throws:
  `IOException`

### getComponentName

public String getComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentName` in interface `DaprProtos.SubtleVerifyRequestOrBuilder`
Returns:
  The componentName.

### getComponentNameBytes

public com.google.protobuf.ByteString getComponentNameBytes()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Specified by:
  `getComponentNameBytes` in interface `DaprProtos.SubtleVerifyRequestOrBuilder`
Returns:
  The bytes for componentName.

### setComponentName

public DaprProtos.SubtleVerifyRequest.Builder setComponentName(String value)

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Parameters:
  `value` - The componentName to set.
Returns:
  This builder for chaining.

### clearComponentName

public DaprProtos.SubtleVerifyRequest.Builder clearComponentName()

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Returns:
  This builder for chaining.

### setComponentNameBytes

public DaprProtos.SubtleVerifyRequest.Builder setComponentNameBytes(com.google.protobuf.ByteString value)

     Name of the component

`string component_name = 1 [json_name = "componentName"];`

Parameters:
  `value` - The bytes for componentName to set.
Returns:
  This builder for chaining.

### getDigest

public com.google.protobuf.ByteString getDigest()

     Digest of the message.

`bytes digest = 2;`

Specified by:
  `getDigest` in interface `DaprProtos.SubtleVerifyRequestOrBuilder`
Returns:
  The digest.

### setDigest

public DaprProtos.SubtleVerifyRequest.Builder setDigest(com.google.protobuf.ByteString value)

     Digest of the message.

`bytes digest = 2;`

Parameters:
  `value` - The digest to set.
Returns:
  This builder for chaining.

### clearDigest

public DaprProtos.SubtleVerifyRequest.Builder clearDigest()

     Digest of the message.

`bytes digest = 2;`

Returns:
  This builder for chaining.

### getAlgorithm

public String getAlgorithm()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Specified by:
  `getAlgorithm` in interface `DaprProtos.SubtleVerifyRequestOrBuilder`
Returns:
  The algorithm.

### getAlgorithmBytes

public com.google.protobuf.ByteString getAlgorithmBytes()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Specified by:
  `getAlgorithmBytes` in interface `DaprProtos.SubtleVerifyRequestOrBuilder`
Returns:
  The bytes for algorithm.

### setAlgorithm

public DaprProtos.SubtleVerifyRequest.Builder setAlgorithm(String value)

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Parameters:
  `value` - The algorithm to set.
Returns:
  This builder for chaining.

### clearAlgorithm

public DaprProtos.SubtleVerifyRequest.Builder clearAlgorithm()

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Returns:
  This builder for chaining.

### setAlgorithmBytes

public DaprProtos.SubtleVerifyRequest.Builder setAlgorithmBytes(com.google.protobuf.ByteString value)

     Algorithm to use, as in the JWA standard.

`string algorithm = 3;`

Parameters:
  `value` - The bytes for algorithm to set.
Returns:
  This builder for chaining.

### getKeyName

public String getKeyName()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Specified by:
  `getKeyName` in interface `DaprProtos.SubtleVerifyRequestOrBuilder`
Returns:
  The keyName.

### getKeyNameBytes

public com.google.protobuf.ByteString getKeyNameBytes()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Specified by:
  `getKeyNameBytes` in interface `DaprProtos.SubtleVerifyRequestOrBuilder`
Returns:
  The bytes for keyName.

### setKeyName

public DaprProtos.SubtleVerifyRequest.Builder setKeyName(String value)

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Parameters:
  `value` - The keyName to set.
Returns:
  This builder for chaining.

### clearKeyName

public DaprProtos.SubtleVerifyRequest.Builder clearKeyName()

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Returns:
  This builder for chaining.

### setKeyNameBytes

public DaprProtos.SubtleVerifyRequest.Builder setKeyNameBytes(com.google.protobuf.ByteString value)

     Name (or name/version) of the key.

`string key_name = 4 [json_name = "keyName"];`

Parameters:
  `value` - The bytes for keyName to set.
Returns:
  This builder for chaining.

### getSignature

public com.google.protobuf.ByteString getSignature()

     Signature to verify.

`bytes signature = 5;`

Specified by:
  `getSignature` in interface `DaprProtos.SubtleVerifyRequestOrBuilder`
Returns:
  The signature.

### setSignature

public DaprProtos.SubtleVerifyRequest.Builder setSignature(com.google.protobuf.ByteString value)

     Signature to verify.

`bytes signature = 5;`

Parameters:
  `value` - The signature to set.
Returns:
  This builder for chaining.

### clearSignature

public DaprProtos.SubtleVerifyRequest.Builder clearSignature()

     Signature to verify.

`bytes signature = 5;`

Returns:
  This builder for chaining.

### setUnknownFields

public final DaprProtos.SubtleVerifyRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>`

### mergeUnknownFields

public final DaprProtos.SubtleVerifyRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.SubtleVerifyRequest.Builder>`